import * as React from 'react';
import { createContext, useContext } from 'react';
import createGlobalState from './create-global-state';
import CombineProviders from './utils/CombineProviders';
const StateDataContext = createContext({});
const RhinoProvider = ({ children, store }) => {
    const stateDataList = {};
    const ProviderList = [];
    Object.keys(store).forEach((key) => {
        const initialValue = store[key];
        const { Provider, useStateValue, useStateUpdate } = createGlobalState(initialValue);
        stateDataList[key] = {
            stateHook: useStateValue,
            updaterHook: useStateUpdate,
        };
        ProviderList.push(Provider);
    });
    return (React.createElement(CombineProviders, { providers: ProviderList },
        React.createElement(StateDataContext.Provider, { value: stateDataList }, children)));
};
export const useStateDataList = () => useContext(StateDataContext);
export default RhinoProvider;
