import * as React from 'react';
/**
 *
 * Component which take a list of providers and returns
 * a Provider which contain all those providers nested in it
 */
const CombineProviders = ({ children, providers, }) => {
    if (providers.length === 0)
        return React.createElement(React.Fragment, null, children);
    // Nesting all providers to form a RootProvider
    const RootProvider = providers.reduce((ProviderAccumulator, Provider) => {
        return ({ children }) => (React.createElement(ProviderAccumulator, null,
            React.createElement(Provider, null, children)));
    });
    return React.createElement(RootProvider, null, children);
};
export default CombineProviders;
